Emitted when a new user is added to a particular Chat.

### Hierarchy

- ChatEvent
  - UserAddedEvent

### Implements

- IChatEvent

## Index

### Properties

- addedUser
- chatId
- eventNumber
- name
- timestamp
- user
- NAME

## Properties

### addedUser

addedUser: DomainUser

The user that was added

### chatId

chatId: string

Implementation of IChatEvent.chatId

Inherited from ChatEvent.chatId

The ID of the Chat on which this event occurred

### eventNumber

eventNumber: number

Inherited from ChatEvent.eventNumber

This event's unique sequential number. This can be useful when e.g. querying for events on a particular chat (Chat.getHistory).

### name

name: string = UserAddedEvent.NAME

Implementation of IChatEvent.name

Overrides ChatEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### timestamp

timestamp: Date

Inherited from ChatEvent.timestamp

The timestamp when the event occurred

### user

user: DomainUser

Inherited from ChatEvent.user

The user associated wth the event

### StaticNAME

NAME: "user_added" = "user_added"